=== modified file 'gatekeeper/README.md'
--- gatekeeper/README.md	2014-04-25 19:10:02 +0000
+++ gatekeeper/README.md	2014-04-25 21:27:50 +0000
@@ -7,19 +7,20 @@
 
 Create a virtualenv and install the system requirements::
 
-  $ virtualenv env
-  ...
-  $ ./env/bin/activate
-  (env)$ pip install -r requirements.txt
-  ...
-
-Then you can run *sandbox.py*::
-
-  (env)$ ./sandbox.py -h
-  Usage: sandbox.py [options] [args]
+  $ virtualenv .venv
+  ...
+  $ . .venv/bin/activate
+  (.venv)$ python setup.py develop
+  ...
+
+Then you can run *bin/gatekeeper*::
+
+  (./env)$ ./bin/gatekeeper -h
+  Usage: gatekeeper [options] [args]
 
   Options:
     -v, --verbose
+    -p PORT, --port=PORT  Port to serve the REST application
     -A AUTH_URL, --auth-url=AUTH_URL
     -U USERNAME, --username=USERNAME
     -K PASSWORD, --key=PASSWORD
@@ -33,7 +34,7 @@
 
 Or run a local REST wsgi server::
 
-  (env)$ python gatekeeper.py
+  (.venv)$ ./bin/gatekeeper serve
   Running server on port 8080...
   ...
 
@@ -48,8 +49,15 @@
 
 Inside the vitualenv, tests can be run with::
 
-  (env)$ python -munittest discover
-  ...
+  (.venv)$ python -munittest discover
+  ...
+
+or::
+
+  (.venv)$ ./setup.py test
+  ...
+
+for a more verbose output.
 
 
 REST API Usage
@@ -57,12 +65,12 @@
 
 Server greeting message::
 
-  (env)$ curl http://localhost:8080/api/v1/
+  $ curl http://localhost:8080/api/v1/
   CI-Airline gatekeeper.
 
 Creating a sandbox (note the 'Location' header)::
 
-  (env)$ curl -i -X POST http://localhost:8080/api/v1/sandbox/
+  $ curl -i -X POST http://localhost:8080/api/v1/sandbox/
   HTTP/1.0 201 Created
   ...
   Content-Type: text/plain
@@ -73,7 +81,7 @@
 
 Uploading objects to the sandbox::
 
-  (env)$ curl -X PUT http://localhost:8080/api/v1/sandbox/\
+  $ curl -X PUT http://localhost:8080/api/v1/sandbox/\
   2aca8376-cb6f-11e3-a385-001c4229f9ac/README.md | xargs curl -X PUT \
   --header "Content-Type: application/octet-stream" \
   --data-binary "@README.md"
@@ -81,19 +89,19 @@
 
 Listing sandbox objects::
 
-  (env)$ curl http://localhost:8080/api/v1/sandbox/\
+  $ curl http://localhost:8080/api/v1/sandbox/\
   2aca8376-cb6f-11e3-a385-001c4229f9ac
   README.md (5661 bytes, application/octet-stream)
 
 Downloading sandbox objects::
 
-  (env)$ curl -X GET http://localhost:8080/api/v1/sandbox/\
+  $ curl -X GET http://localhost:8080/api/v1/sandbox/\
   2aca8376-cb6f-11e3-a385-001c4229f9ac/README.md | xargs curl
   ...
 
 Finally dropping the sandbox and its contents::
 
-  (env)$ curl -X DELETE http://localhost:8080/api/v1/sandbox/\
+  $ curl -X DELETE http://localhost:8080/api/v1/sandbox/\
   2aca8376-cb6f-11e3-a385-001c4229f9ac
 
 
@@ -102,24 +110,24 @@
 
 Using environment canonistack variables (OS_*)::
 
-  (env)$ . ~/.canonistack/novarc
+  (.venv)$ . ~/.canonistack/novarc
 
 Create a new sandbox in cannonistask::
 
-  (env)$ ./sandbox.py create
+  (.venv)$ ./bin/gatekeeper create
 
   Sandbox created: 5bf928ba-cb12-11e3-bfe4-001c4229f9ac
 
 Listing existing sandboxes in canonistack::
 
-  (env)$ ./sandbox.py list
+  (.venv)$ ./bin/gatekeeper list
 
   All Sandboxes:
           5bf928ba-cb12-11e3-bfe4-001c4229f9ac (0 bytes, 0 objects)
 
 Listing existing sandboxes on the local swift instance::
 
-  (env)$ ./sandbox.py -A http://10.0.3.64:8080/auth/v1.0 \
+  (.venv)$ ./bin/gatekeeper -A http://10.0.3.64:8080/auth/v1.0 \
   -U testproj:testuser -K testpwd -V1 list
 
   All Sandboxes:
@@ -128,7 +136,7 @@
 
 Listing sandbox contents on the local swift::
 
-  (env)$ ./sandbox.py -A http://10.0.3.64:8080/auth/v1.0 \
+  (.venv)$ ./bin/gatekeeper -A http://10.0.3.64:8080/auth/v1.0 \
   -U testproj:testuser -K testpwd -V1 \
   list 02c5fc18-ca73-11e3-88d9-001c4229f9ac
 
@@ -137,7 +145,7 @@
 
 Downloading objects using tempurl::
 
-  (env)$ ./sandbox.py -A http://10.0.3.64:8080/auth/v1.0 \
+  (.venv)$ ./bin/gatekeeper -A http://10.0.3.64:8080/auth/v1.0 \
   -U testproj:testuser -K testpwd -V1 \
   download 02c5fc18-ca73-11e3-88d9-001c4229f9ac setup-swift.sh
 
@@ -148,7 +156,7 @@
 
 Uploading objects using tempurl::
 
-  (env)$ ./sandbox.py -A http://10.0.3.64:8080/auth/v1.0 \
+  (.venv)$ ./bin/gatekeeper -A http://10.0.3.64:8080/auth/v1.0 \
   -U testproj:testuser -K testpwd -V1 \
   upload 02c5fc18-ca73-11e3-88d9-001c4229f9ac setup-swift.sh
 
@@ -159,7 +167,7 @@
 
 Drop an existing sandbox::
 
-  (env)$ ./sandbox.py -A http://10.0.3.64:8080/auth/v1.0 \
+  (.venv)$ ./bin/gatekeeper -A http://10.0.3.64:8080/auth/v1.0 \
   -U testproj:testuser -K testpwd -V1 \
   drop e2175b00-cb13-11e3-b370-001c4229f9ac
 
@@ -175,7 +183,7 @@
 Once you find out all this HP-specific parameters (check Horizon accounts
 UI), they can be passed to script via the '--hp-*' options::
 
-  (env)$ ./sandbox.py \
+  (.venv)$ ./bin/gatekeeper \
   -A https://region-a.geo-1.identity.hpcloudsvc.com:35357/v2.0/ \
   -U cprov@canonical.com -K '<PASS>' -T celso_project -R 'region-a.geo-1' \
   --hp-tenant-id 11922491647292 \

=== added directory 'gatekeeper/bin'
=== renamed file 'gatekeeper/sandbox.py' => 'gatekeeper/bin/gatekeeper'
--- gatekeeper/sandbox.py	2014-04-25 19:10:02 +0000
+++ gatekeeper/bin/gatekeeper	2014-04-25 21:27:50 +0000
@@ -1,6 +1,14 @@
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
-"""Swift tempurl manager"""
+"""Gatekeeper application manager.
+
+Allow direct manipulation (listing, creating, uploading, downloading and
+droping) of Swift "Sandbox" (supervised container + tempurls) using the
+given credentials.
+
+Also serves a REST API webservice for remote manipulation without the need
+of swift credentials.
+"""
 from __future__ import unicode_literals
 
 import httplib2
@@ -12,15 +20,20 @@
 import os
 import sys
 import uuid
+from wsgiref.simple_server import make_server
 
 from gatekeeper.datastore import DataStore
 from gatekeeper.datastore.sandbox import SandboxNotFound
+from gatekeeper.resources.root import make_app
 
 
 option_usage = "usage: %prog [options] [args]"
 option_list = [
     make_option("-v", "--verbose",
                 action="store_true", dest="verbose"),
+    make_option("-p", "--port",
+                type=int, default=8080,
+                help='Port to serve the REST application'),
     make_option("-A", "--auth-url",
                 default=os.environ.get('OS_AUTH_URL'), dest="auth_url"),
     make_option("-U", "--username",
@@ -61,6 +74,10 @@
 
     ds = DataStore(options)
 
+    if len(args) == 0:
+        sys.stdout.write('Select an action!\n')
+        sys.exit(1)
+
     def get_sandbox(identifier):
         try:
             return ds.get_sandbox(args[1])
@@ -68,11 +85,16 @@
             sys.stdout.write('Sandbox not found!\n')
             sys.exit(1)
 
-    if len(args) == 0:
-        sys.stdout.write('Select an action!\n')
-        sys.exit(1)
-
-    if args[0] == 'list' and len(args) == 1:
+    if args[0] == 'serve' and len(args) == 1:
+        wsgi_app = make_app(lambda klass: DataStore(options))
+        httpd = make_server('', options.port, wsgi_app)
+        try:
+            sys.stdout.write(
+                'Running server on port {}...\n'.format(options.port))
+            httpd.serve_forever()
+        except KeyboardInterrupt:
+            sys.stdout.write('exiting\n')
+    elif args[0] == 'list' and len(args) == 1:
         sys.stdout.write('All Sandboxes:\n')
         for sandbox in ds.sandboxes:
             sys.stdout.write('\t{}\n'.format(sandbox.title))

=== removed file 'gatekeeper/gatekeeper-app.py'
--- gatekeeper/gatekeeper-app.py	2014-04-25 12:34:29 +0000
+++ gatekeeper/gatekeeper-app.py	1970-01-01 00:00:00 +0000
@@ -1,49 +0,0 @@
-#!/usr/bin/env python
-# -*- coding: utf-8 -*-
-"""Gatekeeper WSGI server.
-
-Exposes Swift "Sandbox" (supervised container + tempurls) funtionality
-via a REST API.
-"""
-from __future__ import unicode_literals
-
-import argparse
-import logging
-from wsgiref.simple_server import make_server
-
-from gatekeeper.datastore import DataStore
-from gatekeeper.datastore.options import DataStoreOptions
-from gatekeeper.resources.root import make_app
-
-
-def local_datastore_factory(klass):
-    options = DataStoreOptions(
-        auth_url='http://10.0.3.64:8080/auth/v1.0',
-        username='testproj:testuser',
-        password='testpwd',
-        version='1')
-    return DataStore(options)
-
-
-def run_server():
-    parser = argparse.ArgumentParser(
-        description='Run webservice in python\'s wsgi reference server.')
-    parser.add_argument('-p', '--port', type=int, default=8080,
-                        help='Port to use. Default=%(default)d')
-    args = parser.parse_args()
-
-    logging.basicConfig(level=logging.DEBUG)
-
-    wsgi_app = make_app(local_datastore_factory)
-
-    httpd = make_server('', args.port, wsgi_app)
-    try:
-        print('Running server on port %d...' % args.port)
-        httpd.serve_forever()
-    except KeyboardInterrupt:
-        print('exiting')
-        pass
-
-
-if __name__ == '__main__':
-    run_server()

